Subject: devel-digest V2 #157
From: [email-masked] (devel-digest)
To: [email-masked]

devel-digest            Sunday, May 2 1999            Volume 02 : Number 157

In this issue:

    Re: video in/out problems
    xntpd weirdness...

See the end of this digest for information about devel-digest.

----------------------------------------------------------------------

Date: Sat, 1 May 1999 01:13:35 -0400 (EDT)
From: Jamie Guinan <[email-masked]>
Subject: Re: video in/out problems

On Fri, 30 Apr 1999, Ralph Siemsen wrote:

> I'll put up the vidcap.o driver from build #13 in
> www.netwinder.org/~ralphs/tmp/ - try loading this one (it matches the 990121
> kernel, which you should probably upgrade to if you haven't already done
> so).

Thanks, but that's actually the one I have,

$ sum vidcap-build13.o /lib/modules/misc/vidcap.o 
33356    27 vidcap-build13.o
33356    27 /lib/modules/misc/vidcap.o

So I tried backing down to the 990121 kernel and xvideum *does*
work with that.  My own 2.0.35 kernel is actually built from
the nwkernsrc-990121.tar.gz sources (I needed autofs built
in and the binary kernel didn't have it).  Maybe I screwed 
something up in the config.

Anyway, if I feel adventurous next week maybe I'll give
2.2 whirl and see if I can get everything working at once.

- -Jamie

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Sat, 1 May 1999 19:57:53 +0100 (BST)
From: Russell King <[email-masked]>
Subject: xntpd weirdness...

Hi,

I've been trying to get xntpd to work on the NetWinder, but without success.
It seems although it's not possible for it to sync the kernel clock to any
reference at all.

I know that it's not the kernel since the EBSA-285 can do it with the
version I've got on there.  I think that some of the compilation options
are wrong on the as-supplied xntpd.

The EBSA285 shows (after it's been running for around 1 hour):

xntpdc> sysinfo
system peer:          raistlin
system peer mode:     bclient
leap indicator:       00
stratum:              6
precision:            -17
root distance:        0.00198 s
root dispersion:      0.03874 s
reference ID:         [192.168.0.3]
reference time:       bad5cbfe.c0127000  Sat, May  1 1999 19:52:46.750
system flags:         bclient monitor pll stats kernel_sync
frequency:            0.000 ppm
stability:            1.705 ppm
broadcastdelay:       0.007996 s
authdelay:            0.000122 s
xntpdc> kerninfo
pll offset:           -26943 us
pll frequency:        -5.834 ppm
maximum error:        47800 us
estimated error:      40624 us
status:               0001
pll time constant:    4
precision:            1 us
frequency tolerance:  512 ppm
pps frequency:        0.000 ppm
pps stability:        512.000 ppm
pps jitter:           200 us
calibration interval: 4 s
calibration cycles:   0
jitter exceeded:      0
stability exceeded:   0
calibration errors:   0

The NetWinder version shows (after it's been running for a similar time):

xntpdc> sysinfo
system peer:          raistlin
system peer mode:     bclient
leap indicator:       00
stratum:              6
precision:            -17
root distance:        0.00188 s
root dispersion:      0.02031 s
reference ID:         [192.168.0.3]
reference time:       bad5cbfe.bb5ee000  Sat, May  1 1999 19:52:46.731
system flags:         bclient monitor pll stats
frequency:            0.000 ppm
stability:            7.021 ppm
broadcastdelay:       0.007996 s
authdelay:            0.000122 s
xntpdc> kerninfo
***Server doesn't implement this request

It seems although the xntpd on the NetWinder is missing the kernel_sync
option.  Including this will then eliminate the once every 20 minutes
time warp.
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |         Russell King        [email-masked]      --- ---
  | | | |   http://www.arm.linux.org.uk/~rmk/aboutme.html    /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

End of devel-digest V2 #157
***************************

--
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel-digest" as the body of your message.